#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <ctype.h>

long long int min(long long int a[], int n)
{
	long long int min = 0;
	for (long long int i = 0 ; i < n ; i++)
		if (a[min] > a[i])
			min = i;

	return min;
}

long long int duzina(char c, char s[])
{
	 long long int k = 0;
	for (long long int i = 0 ; i < strlen(s) - 1 ; i++)
		if (s[i] == c)
			k++;

	return k;
}

int main()
{
	char t[5000];
	char s[10];
	fflush(stdin);
	gets(t);
	fflush(stdin);
	gets(s);
	

	long long int s1[strlen(s) - 1];
	long long int k = 0;
	for (long long int i = 0 ; i < strlen(s) - 1 ; i++)
		s1[i] = duzina(s[i], t);

	printf("%d", s1[min(s1, strlen(s) - 1)]);


	printf("\n");
	for (long long int i = 0 ; i < strlen(t) ; i++)
		if (t[i] != s[min(s1, strlen(s) - 1)])
			printf("%c", t[i]);
		else
			printf("*");

	return 0;
}